
.. py:module:: PIL.ImageTransform
.. py:currentmodule:: PIL.ImageTransform

:py:mod:`~PIL.ImageTransform` Module
====================================

The :py:mod:`~PIL.ImageTransform` module contains implementations of
:py:class:`~PIL.Image.ImageTransformHandler` for some of the builtin
:py:class:`.Image.Transform` methods.

.. autoclass:: Transform
    :members:
    :undoc-members:
    :show-inheritance:

.. autoclass:: AffineTransform
    :members:
    :undoc-members:
    :show-inheritance:

.. autoclass:: PerspectiveTransform
    :members:
    :undoc-members:
    :show-inheritance:

.. autoclass:: ExtentTransform
    :members:
    :undoc-members:
    :show-inheritance:

.. autoclass:: QuadTransform
    :members:
    :undoc-members:
    :show-inheritance:

.. autoclass:: MeshTransform
    :members:
    :undoc-members:
    :show-inheritance:
